import request from '@/router/requestSjkg'

//  获取全国省市区街
export function getAreaList (params) {
  return request({
    url: '/v1/addressArea/list',
    method: 'POST',
    params: params
  })
}

//  根据街道获取居委会
export function getVillages (params) {
  return request({
    url: '/v1/addressArea/getAreaList',
    method: 'POST',
    params: params
  })
}

// 获取机构与团队信息
export function getOrgInfo (params) {
  return request({
    url: '/v1/voucher/getByOrgAndGroup',
    method: 'POST',
    params: params
  })
}

//  获取用户生育全程签约信息
export function getSignInfo (params) {
  return request({
    url: '/v1/voucher/poll',
    method: 'POST',
    data: params
  })
}
