
import router from './router'
import {getStore, setStore} from '@/util/store'
// import {validatenull} from '@/util/validate'
import { getOauth } from '@/api/auth/auth'
import { Toast } from 'mint-ui'

router.beforeEach((to, from, next) => {
  console.log('缓冲设置')
  let accessToken = getStore({ name: 'access_token' })
  if (accessToken) {
    next()
  } else {
    let spoauthParams = {
      username: 'admin',
      password: '0nQrmF2Zl9jz40AIUbpsbg==',
      // randomStr: '13131563353180801',
      // code: '4882',
      grant_type: 'password',
      scope: 'server'
    }
    getOauth(spoauthParams).then(function (res) {
      if (res.access_token && res.access_token !== '' && res.user_id && res.user_id !== '') {
        setStore({ name: 'access_token', content: res.access_token })
        setStore({ name: 'user_id', content: res.user_id })
        next()
      } else {
        Toast({
          message: 'token不能为空！',
          position: 'center',
          duration: 3000
        })
      }
    }).catch((error) => {
      console.log(error)
      Toast({
        message: '鉴权失败',
        position: 'center',
        duration: 3000
      })
    })
  }
//   // 缓冲设置
//   if (to.meta.keepAlive === true && store.state.tags.tagList.some(ele => {
//     return ele.value === to.fullPath
//   })) {
//     to.meta.$keepAlive = true
//   } else {
//     NProgress.start()
//     if (to.meta.keepAlive === true && validatenull(to.meta.$keepAlive)) {
//       to.meta.$keepAlive = true
//     } else {
//       to.meta.$keepAlive = false
//     }
//   }
//   const meta = to.meta || {}
//   if (store.getters.access_token) {
//     if (store.getters.isLock && to.path != lockPage) {
//       next({path: lockPage})
//     } else if (to.path === '/login') {
//       next({path: '/'})
//     } else {
//       if (store.getters.roles.length === 0) {
//         store.dispatch('GetUserInfo').then(() => {
//           next({...to, replace: true})
//         }).catch(() => {
//           store.dispatch('FedLogOut').then(() => {
//             next({path: '/login'})
//           })
//         })
//       } else {
//         const value = to.query.src || to.fullPath
//         const label = to.query.name || to.name
//         if (meta.isTab !== false && !validatenull(value) && !validatenull(label)) {
//           store.commit('ADD_TAG', {
//             label: label,
//             value: value,
//             params: to.params,
//             query: to.query,
//             group: router.$avueRouter.group || []
//           })
//         }
//         next()
//       }
//     }
//   } else {
//     if (meta.isAuth === false) {
//       next()
//     } else {
//       next('/h5')
//     }
//   }
})
